commit 60560736b528cd807281d43695094e436d4bec35
parent 1a16bf3d7749c5c5be7b37f3e1172f16563d074b
Author: Wolfgang Corcoran-Mathe <wcm@sigwinch.xyz>
Date: Tue, 6 Feb 2024 13:39:11 -0500
Expand tabs.
Diffstat:
1 file changed, 15 insertions(+), 15 deletions(-)
diff --git a/doc/r7rs-small/build.sh b/doc/r7rs-small/build.sh
@@ -1,7 +1,7 @@
#!/bin/sh
usage () {
- printf 'Usage: %s [-s] <target>\n' "$(basename $0)" 1>&2
+ printf 'Usage: %s [-s] <target>\n' "$(basename $0)" 1>&2
echo
cat 1>&2 <<EOF
Helper script for building R7RS-small from Texinfo. Currently
@@ -16,7 +16,7 @@ The command contained in the MAKEINFO environment variable
(or 'makeinfo' if it is empty) will be used. Additional options
in MAKEINFOFLAGS will be passed to this command.
EOF
- exit 1
+ exit 1
}
input_file="r7rs-small.texinfo"
@@ -26,8 +26,8 @@ makeinfo_flags="$MAKEINFOFLAGS"
while getopts hs opt
do
- case "$opt" in
- s) split=yes
+ case "$opt" in
+ s) split=yes
shift
;;
*) usage ;;
@@ -36,28 +36,28 @@ done
if test "$split" != "yes"
then
- makeinfo_flags="$makeinfo_flags --no-split"
+ makeinfo_flags="$makeinfo_flags --no-split"
fi
target_flag=""
case "${1:-html}" in # target
html)
- target_flag="--html"
- ;;
+ target_flag="--html"
+ ;;
pdf)
- target_flag="--pdf"
- ;;
+ target_flag="--pdf"
+ ;;
*)
- printf "Error: target '%s' not yet supported.\n" "$1"
- exit 1
- ;;
+ printf "Error: target '%s' not yet supported.\n" "$1"
+ exit 1
+ ;;
esac
if ! test -f $input_file -a -r $input_file
then
- printf "Error: %s is not a readable regular file.\n"\
- $input_file
- exit 1
+ printf "Error: %s is not a readable regular file.\n"\
+ $input_file
+ exit 1
fi
printf "%s %s %s %s\n" "$makeinfo_cmd" "$makeinfo_flags"\